import { PureComponent, ReactNode } from 'react';
import TableContext, { TableContextValue } from './TableContext';
export interface ProfilerProps {
    children?: ReactNode;
}
export default class Profiler extends PureComponent<ProfilerProps> {
    static displayName: string;
    static get contextType(): typeof TableContext;
    context: TableContextValue;
    constructor(props: any, context: any);
    componentWillUpdate(): void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    handlePerformance(): void;
    render(): ReactNode;
}
